Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class DiagnosticStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.FilterOutputStream
                  |
                  +--java.io.PrintStream
                        |
                        +--oracle.jbo.common.DiagnosticStream

public class DiagnosticStream
extends java.io.PrintStream

This class allows you to pass an instance of itself to code that expects to be using a PrintStream, and to indirect through the Diagnostic facility: hence the output can be controlled using the system properties jbo.diagnostic.logging etcetera.

Since:
  3.1

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`DiagnosticStream()`

Method Summary
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String s)`
`protected void` | `setError()`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagnosticStream

    public DiagnosticStream()

Method Detail

### print

    public void print(java.lang.String s)

  Overrides:
    print in class java.io.PrintStream

### println

    public void println(java.lang.String s)

  Overrides:
    println in class java.io.PrintStream

### flush

    public void flush()

  Overrides:
    flush in class java.io.PrintStream

### close

    public void close()

  Overrides:
    close in class java.io.PrintStream

### checkError

    public boolean checkError()

  Overrides:
    checkError in class java.io.PrintStream

### setError

    protected void setError()

  Overrides:
    setError in class java.io.PrintStream

### write

    public void write(int b)

  Overrides:
    write in class java.io.PrintStream

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Overrides:
    write in class java.io.PrintStream

### print

    public void print(boolean b)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(char c)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(int i)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(long l)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(float f)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(double d)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(char[] s)

  Overrides:
    print in class java.io.PrintStream

### print

    public void print(java.lang.Object obj)

  Overrides:
    print in class java.io.PrintStream

### println

    public void println()

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(boolean x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(char x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(int x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(long x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(float x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(double x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(char[] x)

  Overrides:
    println in class java.io.PrintStream

### println

    public void println(java.lang.Object x)

  Overrides:
    println in class java.io.PrintStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD